//　++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//　AICS3_AItoPDF_folder.jsx
//　Adobe PDFプリセットを使ってPDFへ別名保存する
//
//　2011.05.23  ver.1.0
//
//　System requirements : Adobe Illustrator CS3 13.0.3　Windows XP SP3
//　Copyright(c) 2011 Kuro
//　http://www3.ocn.ne.jp/~art_mac/
//　++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

var folderObj = Folder.selectDialog("Illustratorファイルの入っているフォルダを選択してください");
var folder = Folder.selectDialog("保存するフォルダを選択してください");

if (folderObj != null){
	fileList = new Array;
	fileList = folderObj.getFiles("*.ai");
	for (f = 0 ; f <= fileList.length-1 ; f++){
		var fileObj = new File(fileList[f]);
		open(fileObj);
		flag = fileObj.open();
		if (flag == true){
			document = app.activeDocument;
			namecount = (fileObj.name).lastIndexOf(".");//　fileObj.nameの値で"."の位置を取得
			fname = (fileObj.name).substr(0, namecount);
			options = new PDFSaveOptions();
			options.pDFPreset = "[PDF/X-1a:2001 (日本)]";//　Adobe PDFプリセット名を入力してください。
			options.preserveEditability = false;
			savefile = new File(folder.fsName+"/"+fname+".pdf");
			document.saveAs(savefile,options);
			}
		activeDocument.close(SaveOptions.DONOTSAVECHANGES);
		}
	}

alert("処理が完了しました。スクリプトを終了します。");